"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OPENAI_SEED = exports.OPENAI_API_KEY = void 0;
const dotenv_1 = __importDefault(require("dotenv"));
const zod_1 = require("zod");
dotenv_1.default.config();
const EnvSchema = zod_1.z.object({
    OPENAI_API_KEY: zod_1.z.string().startsWith('sk-'),
    OPENAI_SEED: zod_1.z.coerce.number().optional(),
});
const env = EnvSchema.parse(process.env);
exports.OPENAI_API_KEY = env.OPENAI_API_KEY;
exports.OPENAI_SEED = env.OPENAI_SEED;
//# sourceMappingURL=config.js.map