import { CacheAdapter, OpenAIChatCompletion } from '../types';
export interface FileSystemCacheAdapterOptions {
    baseDirectory: string;
}
export declare class FileSystemCacheAdapter implements CacheAdapter {
    options: FileSystemCacheAdapterOptions;
    constructor(options: FileSystemCacheAdapterOptions);
    get(hash: string): Promise<OpenAIChatCompletion | null>;
    set(hash: string, value: OpenAIChatCompletion): Promise<void>;
    _cachePath(hash: string): string;
    _hasCache(cachePath: string): Promise<boolean>;
    _getCache(cachePath: string): Promise<string>;
    _setCache(cachePath: string, value: string): Promise<void>;
}
