import dotenv from 'dotenv'
import { z } from 'zod'

dotenv.config()

const EnvSchema = z.object({
  OPENAI_API_KEY: z.string().startsWith('sk-'),
  OPENAI_SEED: z.coerce.number().optional(),
})

const env = EnvSchema.parse(process.env)

export const OPENAI_API_KEY = env.OPENAI_API_KEY
export const OPENAI_SEED = env.OPENAI_SEED
