export type StructuredChatErrorCode =
  | 'FUNCTION_CALL_NO_FUNCTION_CALLED'
  | 'FUNCTION_CALL_INCORRECT_FUNCTION_CALLED'
  | 'FUNCTION_CALL_NONEXISTENT_FUNCTION_CALLED'
  | 'FUNCTION_ARGUMENTS_MALFORMED_JSON'
  | 'FUNCTION_ARGUMENTS_INVALID_SCHEMA'

export class StructuredChatError extends Error {
  code: StructuredChatErrorCode

  constructor(type: StructuredChatErrorCode, message: string) {
    super(`${type}:\n${message}`)
    this.code = type
  }
}
